/*******************************************

      Proxomitron URLコマンド簡易実行
                                 2002/09/01
                                   by kazya
********************************************
[動作]
実行すると、現在アクティブなページを書き換え
各URLコマンドが追加されているURLへのリンクが
表示されます。
すでにURLコマンドを使っているときに実行した
時でも、多重にURLコマンドが実行されるという
ことはありません。

[設定]
prefixに自分でProxomitronに設定しているプレ
フィクスを入力してください。
*******************************************/

//自分の環境に合わせ設定してください。
var prefix = 'free';

var obj = new ActiveXObject("Sleipnir.API");
var id = obj.GetDocumentID(obj.ActiveIndex);
var document = obj.GetDocumentObject(id);
var url = obj.AddressBarString;

if (document == null){
	obj.MessageBox("ページが開かれていません");
}else{
	var re = new RegExp('http:\/\/[^/]+[.]{2}', 'i');
	if (re.test(url)){
		//すでに何らかのURLコマンドを利用しているようならそれを考慮
		url.match(/http:\/\/[^/]+[.]{2}(.+)/i);
	} else {
		url.match(/http:\/\/(.+)/i);
	}
	var text = document.body.innerHTML;
	text = '';
	text += '<a href="http://'+prefix+'src..'+RegExp.$1+'">src</a><br>';
	text += '<a href="http://'+prefix+'dbug..'+RegExp.$1+'">dbug</a><br>';
	text += '<a  href="http://'+prefix+'bypass..'+RegExp.$1+'">bypass</a><br>';
	text += '<a href="http://'+prefix+'bout..'+RegExp.$1+'">bout</a><br>';
	text += '<a href="http://'+prefix+'bin..'+RegExp.$1+'">bin</a><br>';
	text += '<a href="http://'+prefix+'bypass..'+RegExp.$1+'">bweb</a><br>';
	document.body.innerHTML = text;
	re = null;
}

obj = null;
